import Test.Tasty ( TestTree, defaultMain, testGroup )

import TSN.Parse ( parse_tests )
import TSN.Picklers ( pickler_tests )
import TSN.XML.AutoRacingResults ( auto_racing_results_tests )
import TSN.XML.AutoRacingSchedule ( auto_racing_schedule_tests )
import TSN.XML.EarlyLine ( early_line_tests )
import TSN.XML.GameInfo ( game_info_tests )
import TSN.XML.Heartbeat ( heartbeat_tests )
import TSN.XML.Injuries ( injuries_tests )
import TSN.XML.InjuriesDetail ( injuries_detail_tests )
import TSN.XML.JFile ( jfile_tests )
import TSN.XML.MLBEarlyLine ( mlb_early_line_tests )
import TSN.XML.News ( news_tests )
import TSN.XML.Odds ( odds_tests )
import TSN.XML.ScheduleChanges ( schedule_changes_tests )
import TSN.XML.Scores ( scores_tests )
import TSN.XML.SportInfo ( sport_info_tests )
import TSN.XML.Weather ( weather_tests )

tests :: TestTree
tests = testGroup
          "All tests"
          [ auto_racing_results_tests,
            auto_racing_schedule_tests,
            early_line_tests,
            game_info_tests,
            heartbeat_tests,
            injuries_tests,
            injuries_detail_tests,
            jfile_tests,
            mlb_early_line_tests,
            news_tests,
            odds_tests,
            parse_tests,
            pickler_tests,
            schedule_changes_tests,
            scores_tests,
            sport_info_tests,
            weather_tests ]

main :: IO ()
main = defaultMain tests
